require 'colorlib/colored_compound'

module Colorlib
  class ColorBuilder < ColoredCompound

    def color(string, color)
      self << string.color(color)
    end

    def red(text);     color text, :red;     end
    def green(text);   color text, :green;   end
    def blue(text);    color text, :blue;    end
    def yellow(text);  color text, :yellow;  end
    def black(text);   color text, :black;   end
    def white(text);   color text, :white;   end

    alias :raw :append

  end
end