require 'colorlib/colored_compound'

module Colorlib
  module IRC
    COLORS = {
        red: '04',
        green: '03',
        blue: '02',
        yellow: '08',
        black: '01',
        white: '00'
    }
  end
end

Colorlib::ColoredCompound.register_maker :irc do |text, prev|
  ret = ''
  if prev.color != text.attrib.color
    ret += "\003"
    unless text.attrib.color == :default
      ret += Colorlib::IRC::COLORS[text.attrib.colo]
    end
  end
end